Skip to main content
GET
/
templates
/
{slug}
.html
Get template HTML
import requests

url = "https://api.pdfshift.io/v3/templates/{slug}.html"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.pdfshift.io/v3/templates/{slug}.html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.pdfshift.io/v3/templates/{slug}.html"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.pdfshift.io/v3/templates/{slug}.html");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.pdfshift.io/v3/templates/{slug}.html")
.header("X-API-Key", "<api-key>")
.asString();
curl --request GET \
--url https://api.pdfshift.io/v3/templates/{slug}.html \
--header 'X-API-Key: <api-key>'
"<html>...</html>"
{
"success": true,
"errors": {},
"code": 123
}
{
"success": true,
"error": "<string>",
"code": 123
}
{
"success": true,
"error": "<string>",
"code": 123
}
{
"success": true,
"error": "<string>",
"code": 123
}
{
"success": true,
"error": "<string>",
"code": 123
}

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

slug
string
required

Response

HTML content

The response is of type string.